%define module   CGI-Application-Plugin-ErrorPage
%define version    1.20
%define release    %mkrel 1

Name:       perl-%{module}
Version:    %{version}
Release:    %{release}
License:    GPL or Artistic
Group:      Development/Perl
Summary:    A simple error page plugin for CGI::Application
Url:        http://search.cpan.org/dist/%{module}
Source:     http://www.cpan.org/modules/by-module/CGI/%{module}-%{version}.tar.gz
BuildRequires: perl(CGI::Application)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}

%description
This plugin provides a shortcut for the common need of returning a simple
error message to the user. 

You are encouraged to provide a template file so that the error messages
can be presented with a design consistent with the rest of your
application. 

A simple design is provided below to get to you started. 

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README LICENSE
%{_mandir}/man3/*
%perl_vendorlib/CGI



%changelog
* Wed Nov 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.20-1mdv2009.1
+ Revision: 307089
- import perl-CGI-Application-Plugin-ErrorPage


* Wed Nov 26 2008 cpan2dist 1.20-1mdv
- initial mdv release, generated with cpan2dist

